# PNatMethodServiceDescriptor< className > Class Template Reference

`#include <pnat.h>`

Inheritance diagram for PNatMethodServiceDescriptor< className >:

List of all members.

## Public Member Functions

virtual PObject * | CreateInstance (int) const
virtual PStringArray | GetDeviceNames (int) const
virtual bool | ValidateDeviceName (const PString &deviceName, int) const

### template<class className>
class PNatMethodServiceDescriptor< className >

## Member Function Documentation

template<class className>

virtual PObject* PNatMethodServiceDescriptor< className >::CreateInstance | ( | int |  | ) | const`[inline, virtual]`

Implements PDevicePluginServiceDescriptor.

template<class className>

virtual PStringArray PNatMethodServiceDescriptor< className >::GetDeviceNames | ( | int |  | ) | const`[inline, virtual]`

Implements PDevicePluginServiceDescriptor.

template<class className>

virtual bool PNatMethodServiceDescriptor< className >::ValidateDeviceName | ( | const PString & | deviceName,
|  | int |  |
| ) |  |  | const`[inline, virtual]`

Reimplemented from PDevicePluginServiceDescriptor.

The documentation for this class was generated from the following file:

- pnat.h